- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDAnimation Class Reference
[COLLADA Document Object Model.]

A COLLADA animation entity. More...

`#include <FCDAnimation.h>`

Inheritance diagram for FCDAnimation:

List of all members.

## Public Member Functions
| FCDAnimation (FCDocument *document, FCDAnimation *parent=NULL)
| Constructor.
virtual | ~FCDAnimation ()
| Destructor .
virtual Type | GetType () const
| Retrieves the entity class type.
FCDAnimation * | GetParent ()
| Retrieves the parent of the animation structure.
const FCDAnimation * | GetParent () const
| See above.
virtual FCDEntity * | Clone (FCDEntity *clone=NULL, bool cloneChildren=false) const
| Copies the animation tree into a clone.
virtual FCDEntity * | FindDaeId (const fm::string &daeId)
| Retrieves the entity with the given COLLADA id.
virtual const FCDEntity * | FindDaeId (const fm::string &daeId) const
| See above.
size_t | GetChildrenCount () const
| Retrieves the number of animation entity sub-trees contained by this animation entity tree.
FCDAnimation * | GetChild (size_t index)
| Retrieves an animation entity sub-tree contained by this animation entity tree.
const FCDAnimation * | GetChild (size_t index) const
| See above.
FCDAnimation * | AddChild ()
| Creates a new animation entity sub-tree contained within this animation entity tree.
void | GetHierarchicalAssets (FCDAssetList &assets)
| Retrieves the asset information structures that affect this entity in its hierarchy.
virtual void | GetHierarchicalAssets (FCDAssetConstList &assets) const
| See above.
void | FindAnimationChannels (const fm::string &pointer, FCDAnimationChannelList &targetChannels)
| Retrieves the animation channels that target the given COLLADA target pointer.
size_t | GetChannelCount () const
| Retrieves the number of animation channels at this level within the animation tree.
FCDAnimationChannel * | GetChannel (size_t index)
| Retrieves an animation channel contained by this animation entity.
const FCDAnimationChannel * | GetChannel (size_t index) const
| See above.
void | GetChannels () const
| [INTERNAL] Retrieves the channels' list
FCDAnimationChannel * | AddChannel ()
| Adds a new animation channel to this animation entity.
void | GetCurves (FCDAnimationCurveList &curves)
| Retrieves all the curves created in the subtree of this animation element.

## Detailed Description

A COLLADA animation entity.

An animation entity contains a list of child animation entities, in order to form a tree of animation entities. It also hold a list of animation channels, which hold the information to generate animation curves.

In other words, the animation entity is a structural class used to group animation channels hierarchically.

## Constructor & Destructor Documentation

FCDAnimation::FCDAnimation | ( | FCDocument * | document,
|  | FCDAnimation * | parent = `NULL`
| ) |

  | Constructor. Do not use directly. Instead, use the FCDLibrary::AddEntity function or the AddChild function, depending on the hierarchical level of the animation entity. Parameters:
  | document | The FCollada document that owns the animation entity.
  | parent | The parent animation entity. This pointer will be NULL for root animation entities.

## Member Function Documentation

FCDAnimationChannel* FCDAnimation::AddChannel | ( |  | ) |

| Adds a new animation channel to this animation entity. Returns: The new animation channel.

FCDAnimation* FCDAnimation::AddChild | ( |  | ) |

| Creates a new animation entity sub-tree contained within this animation entity tree. Returns: The new animation sub-tree.

virtual FCDEntity* FCDAnimation::Clone | ( | FCDEntity * | clone = `NULL`,
|  | bool | cloneChildren = `false`
| ) | const`[virtual]`

  | Copies the animation tree into a clone. The clone may reside in another document. Parameters:
  | clone | The empty clone. If this pointer is NULL, a new animation tree will be created and you will need to release the returned pointer manually.
  | cloneChildren | Whether to recursively clone this entity's children.
Returns: The clone. Reimplemented from FCDEntity.

void FCDAnimation::FindAnimationChannels | ( | const fm::string & | pointer,
|  | FCDAnimationChannelList & | targetChannels
| ) |

  | Retrieves the animation channels that target the given COLLADA target pointer. Parameters:
  | pointer | A COLLADA target pointer.
  | targetChannels | A list of animation channels to fill in. This list is not cleared.

virtual FCDEntity* FCDAnimation::FindDaeId | ( | const fm::string & | daeId | ) | `[inline, virtual]`

  | Retrieves the entity with the given COLLADA id. This function will look through the local sub-tree of animations for the given COLLADA id. Parameters:
  | daeId | A COLLADA id.
Returns: The animation entity that matches the COLLADA id. This pointer will be NULL if there are no animation entities that matches the COLLADA id. Reimplemented from FCDEntity.

FCDAnimationChannel* FCDAnimation::GetChannel | ( | size_t | index | ) | `[inline]`

  | Retrieves an animation channel contained by this animation entity. Parameters:
  | index | The index of the channel.
Returns: The channel at the given index. This pointer will be NULL if the index is out-of-bounds.

size_t FCDAnimation::GetChannelCount | ( |  | ) | const`[inline]`

| Retrieves the number of animation channels at this level within the animation tree. Returns: The number of animation channels.

void FCDAnimation::GetChannels | ( |  | ) | const`[inline]`

| [INTERNAL] Retrieves the channels' list Deprecated: Returns: The list of channels

FCDAnimation* FCDAnimation::GetChild | ( | size_t | index | ) | `[inline]`

  | Retrieves an animation entity sub-tree contained by this animation entity tree. Parameters:
  | index | The index of the sub-tree.
Returns: The animation entity sub-tree at the given index. This pointer will be NULL if the index is out-of-bounds.

size_t FCDAnimation::GetChildrenCount | ( |  | ) | const`[inline]`

| Retrieves the number of animation entity sub-trees contained by this animation entity tree. Returns: The number of animation entity sub-trees.

void FCDAnimation::GetCurves | ( | FCDAnimationCurveList & | curves | ) |

  | Retrieves all the curves created in the subtree of this animation element. Parameters:
  | curves | A list of animation curves to fill in. This list is not cleared.

void FCDAnimation::GetHierarchicalAssets | ( | FCDAssetList & | assets | ) | `[inline]`

  | Retrieves the asset information structures that affect this entity in its hierarchy. Parameters:
  | assets | A list of asset information structures to fill in.
Reimplemented from FCDEntity.

FCDAnimation* FCDAnimation::GetParent | ( |  | ) | `[inline]`

| Retrieves the parent of the animation structure. Returns: The animation parent. This pointer will be NULL to indicate a root-level animation structure that is contained within the animation library.

virtual Type FCDAnimation::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the entity class type. This function is a part of the FCDEntity interface. Returns: The entity class type: ANIMATION. Reimplemented from FCDEntity.

The documentation for this class was generated from the following file:

- FCDocument/FCDAnimation.h